package jp.littleforest.util;

/**
 * 文字列に関するユーティリティクラスです。<br />
 * 
 * @author y-komori
 */
public class StringUtil {
    private StringUtil() {

    }

    /**
     * 文字列を指定回数繰り返します。<br />
     * 
     * @param str
     *        文字列
     * @param times
     *        繰り返し回数(0以上)
     * @return 繰り返した文字列
     */
    public static String repeatChar(final String str, final int times) {
        if (str == null || times < 0) {
            return null;
        }

        StringBuffer buf = new StringBuffer(str.length() * times);
        for (int i = 0; i < times; i++) {
            buf.append(str);
        }

        return buf.toString();
    }

    /**
     * 文字列が <code>null</code> であった場合、空文字列を返します。<br />
     * 
     * @param str
     *        文字列
     * @return 変換後の文字列
     */
    public static String nullToEmpty(final String str) {
        if (str == null) {
            return "";
        } else {
            return str;
        }
    }
}
