/**
 * Copyright 2009 Yusuke Komori.
 */
package jp.littleforest.util.db;

public enum ColumnMetaDataEnum {
    /** テーブルカタログ */
    TABLE_CAT(1),

    /** テーブルスキーマ */
    TABLE_SCHEM(2),

    /** テーブル名 */
    TABLE_NAME(3),
    /** 列名 */
    COLUMN_NAME(4),

    /** java.sql.Types からの SQL の型 */
    DATA_TYPE(5),

    /** データソース依存の型名 */
    TYPE_NAME(6),

    /** 列サイズ */
    COLUMN_SIZE(7),

    /** 未使用 */
    BUFFER_LENGTH(8),

    /** 小数点以下の桁数 */
    DECIMAL_DIGITS(9),

    /** 基数 */
    NUM_PREC_RADIX(10),

    /** NULL は許されるか */
    NULLABLE(11),

    /** コメント記述列 */
    REMARKS(12),

    /** 列のデフォルト値 */
    COLUMN_DEF(13),

    /** 未使用 */
    SQL_DATA_TYPE(14),

    /** 未使用 */
    SQL_DATETIME_SUB(15),

    /** char の型については列の最大バイト数 */
    CHAR_OCTET_LENGTH(16),

    /** テーブル中の列のインデックス */
    ORDINAL_POSITION(17),

    /** 列で NULL 値を許可するかどうかの判断に ISO 規則が使用される。 */
    IS_NULLABLE(18),

    /** 参照属性のスコープであるテーブルのカタログ */
    SCOPE_CATLOG(19),

    /** 参照属性のスコープであるテーブルのスキーマ */
    SCOPE_SCHEMA(20),

    /** 参照属性のスコープであるテーブル名 */
    SCOPE_TABLE(21),

    /** 個別の型またはユーザー生成 Ref 型、java.sql.Types の SQL 型のソースの型 */
    SOURCE_DATA_TYPE(22),

    /** この列が自動インクリメントされるかどうかを示す */
    IS_AUTOINCREMENT(23);

    private int value;

    private ColumnMetaDataEnum(final int value) {
        this.value = value;
    }

    public int value() {
        return value;
    }
}
