package jp.littleforest.util.db;

import java.util.ResourceBundle;

/**
 * データベース切替のためのユーティリティクラスです。<br />
 * 
 * @author y-komori
 */
public class DbmsSwitcher {
    private static final String BUNDLE_NAME = "db";

    private static final String KEY_DBMS = "dbms";

    private DbmsSwitcher() {

    }

    /**
     * dbms.properties に記述された dbms キーの値を取得します。<br />
     * 
     * @return 値
     */
    public static String getDbms() {
        ResourceBundle bundle = ResourceBundle.getBundle(BUNDLE_NAME);
        if (bundle == null) {
            return "";
        }
        String dbms = bundle.getString(KEY_DBMS);
        if (dbms != null) {
            return dbms;
        } else {
            return "";
        }
    }
}
