/**
 * Copyright 2009 Yusuke Komori.
 */
package jp.littleforest.util.db;

public enum ImportedKeyMetaDataEnum {
    /** インポートされた主キーテーブルカタログ */
    PKTABLE_CAT(1),

    /** インポートされた主キーテーブルスキーマ */
    PKTABLE_SCHEM(2),

    /** インポートされた主キーテーブル名 */
    PKTABLE_NAME(3),

    /** インポートされた主キー列名 */
    PKCOLUMN_NAME(4),

    /** 外部キーテーブルカタログ */
    FKTABLE_CAT(5),

    /** 外部キーテーブルスキーマ */
    FKTABLE_SCHEM(6),

    /** 外部キーテーブル名 */
    FKTABLE_NAME(7),

    /** 外部キー列名 */
    FKCOLUMN_NAME(8),

    /** 外部キー内の連番 */
    KEY_SEQ(9),

    /** 主キーが更新されるときに外部キーに起こる内容 */
    UPDATE_RULE(10),

    /** 主キーが削除されるときに外部キーに起こる内容 */
    DELETE_RULE(11),

    /** 外部キー名 */
    FK_NAME(12),

    /** 主キー名 */
    PK_NAME(13),

    /** 外部キーの制限の評価はコミットまで延期できる */
    DEFERRABILITY(14);

    private int value;

    private ImportedKeyMetaDataEnum(final int value) {
        this.value = value;
    }

    public int value() {
        return value;
    }
}
