package jp.littleforest.util.encode;

/**
 * エンコーディングに関する定数を扱うインターフェースです。<br />
 * <p>
 * Javaでサポートされているエンコーディング名については <a href=
 * "http://java.sun.com/j2se/1.5.0/ja/docs/ja/guide/intl/encoding.doc.html"
 * >こちら</a> を参照してください。
 * <p/>
 * 
 * @deprecated {@link EncodingEnum} を使用してください。
 * @author y-komori
 */
@Deprecated
public interface Encoding {
    /** 8 ビット UCS Transformation Format。<br /> */
    public static final String ENCODING_UTF_8 = "UTF-8";

    /**
     * Shift-JIS、EUC-JP、ISO 2022 JP の検出および変換 (Unicode への変換のみ)。<br/>
     * (java.nioにおける正準名)
     */
    public static final String ENCODING_X_JIS_AUTO_DETECT = "x-JISAutoDetect";

    /**
     * Shift-JIS、EUC-JP、ISO 2022 JP の検出および変換 (Unicode への変換のみ)。<br/>
     */
    public static final String ENCODING_JIS_AUTO_DETECT = "JISAutoDetect";

    /** ISO 2022 形式の JIS X 0201、0208、日本語。<br /> */
    public static final String ENCODING_ISO_2022_JP = "ISO-2022-JP";

    /**
     * ISO 2022 形式の JIS X 0201、0208、日本語。<br />
     * (java.nioにおける正準名)
     */
    public static final String ENCODING_ISO2022JP = "ISO2022JP";

    /** JISX 0201、0208、0212、EUC エンコーディング、日本語。<br /> */
    public static final String ENCODING_EUC_JP = "EUC_JP";

    /**
     * JISX 0201、0208、0212、EUC エンコーディング、日本語。<br />
     * (java.nioにおける正準名)
     */
    public static final String ENCODING_EUC_JP_NIO = "EUC-JP";

    /** Shift-JIS、日本語。<br /> */
    public static final String ENCODING_SJIS = "SJIS";

    /**
     * Shift-JIS、日本語。<br />
     * (java.nioにおける正準名)
     */
    public static final String ENCODING_SHIFT_JIS = "Shift_JIS";

    /** Windows 日本語。<br /> */
    public static final String ENCODING_MS932 = "MS932";

    /**
     * Windows 日本語。<br />
     * (java.nioにおける正準名)
     */
    public static final String ENCODING_WINDOWS31J = "windows-31j";
}
