package jp.littleforest.util.html.query;

import au.id.jericho.lib.html.Segment;

/**
 * ルートノード配下のすべての要素を取得するためのコマンドです。<br />
 * 
 * @author y-komori
 */
public class AllElementCommand implements QueryCommand {
    public static final String ALL_ELEMENT_COMMAND_STR = "\\";

    /*
     * @see jp.littleforest.util.html.query.QueryCommand#matches(java.lang.Object, java.lang.String)
     */
    public boolean matches(final Object target, final String command) {
        if (target instanceof Segment
                && ALL_ELEMENT_COMMAND_STR.equals(command)) {
            return true;
        } else {
            return false;
        }
    }

    /*
     * @see jp.littleforest.util.html.query.QueryCommand#process(java.lang.Object, java.lang.String)
     */
    public Object process(final Object target, final String command) {
        return ((Segment) target).findAllElements();
    }

}
