package jp.littleforest.util.html.query;

/**
 * クエリを処理するコマンドのためのインターフェースです。<br />
 * 
 * @author y-komori
 */
public interface QueryCommand {
    /**
     * 対象オブジェクトコマンド文字列から、処理対象であるかどうかを判定します。<br />
     * <code>true</code> を返した場合、{@link #process(Object, String)} メソッドが呼び出されます。<br />
     * 
     * @param target
     *        対象オブジェクト
     * @param command
     *        コマンド文字列
     * @return 処理対象の場合 <code>true</code>
     */
    public boolean matches(Object target, String command);

    /**
     * 対象オブジェクトに対してクエリ処理を行い、結果を返します。<br />
     * 
     * @param target
     *        対象オブジェクト
     * @param command
     *        コマンド文字列
     * @return 結果オブジェクト
     */
    public Object process(Object target, String command);
}
