package jp.littleforest.util.html.query;

import java.util.Iterator;
import java.util.List;

import jp.littleforest.util.html.HtmlUtil;
import au.id.jericho.lib.html.Segment;

/**
 * テキストを取得するためのコマンドです。<br />
 * 
 * @author y-komori
 */
public class TextCommand implements QueryCommand {

    /*
     * @see jp.littleforest.util.html.query.QueryCommand#matches(java.lang.Object, java.lang.String)
     */
    public boolean matches(final Object target, final String command) {
        if ((target instanceof Segment || target instanceof List)
                && "text()".equals(command)) {
            return true;
        } else {
            return false;
        }
    }

    /*
     * @see jp.littleforest.util.html.query.QueryCommand#process(java.lang.Object, java.lang.String)
     */
    public Object process(final Object target, final String command) {
        if (target instanceof List) {
            StringBuffer buf = new StringBuffer(1024);
            Iterator<?> itr = ((List<?>) target).iterator();
            boolean first = true;
            while (itr.hasNext()) {
                Object obj = itr.next();
                if (obj instanceof Segment) {
                    if (!first) {
                        buf.append("\n");
                    } else {
                        first = false;
                    }
                    buf.append(((Segment) obj).getTextExtractor().toString());
                }
            }
            return buf.toString();
        } else if (target instanceof Segment) {
            return HtmlUtil.extractText((Segment) target);
        } else {
            return target.toString();
        }
    }
}
