package jp.littleforest.util.image;

import java.io.File;
import java.io.IOException;

/**
 * 画像ファイルフォーマットに関する情報を取得するためのインタフェースです。<br />
 * 
 * @author y-komori
 */
public interface FileFormat {
    /**
     * 指定されたファイルをサポートするかどうか判断します。<br />
     * 
     * @param file
     *            ファイルオブジェクト
     * @return サポートする場合は <code>true</code>
     */
    public boolean isSupport(File file) throws IOException;

    /**
     * {@link FileFormatInfo} オブジェクトを返します。<br />
     * 
     * @return {@link FileFormatInfo} オブジェクト
     */
    public FileFormatInfo getFileFormatInfo();
}
