package jp.littleforest.util.image;

/**
 * 画像ファイルフォーマットに関する情報を提供するインタフェースです。<br />
 * 
 * @author y-komori
 */
public interface FileFormatInfo {
    /**
     * ファイルフォーマット名称を返します。<br />
     * 
     * @return ファイルフォーマット名称
     */
    public String getFormatName();

    /**
     * ファイルフォーマットの拡張子を返します。<br />
     * 
     * @return 拡張子
     */
    public String getExtension();

    /**
     * ファイルフォーマットの MIME コンテントタイプを返します。<br />
     * 
     * @return MIME コンテントタイプ
     */
    public String getContentType();

    /**
     * SWT の画像フォーマット識別定数を返します。<br />
     * 
     * @return SWT の画像フォーマット識別定数
     */
    public int getSwtFormatType();
}
