package jp.littleforest.util.image;

import org.eclipse.swt.graphics.ImageData;

/**
 * イメージのスケーリングを行うためのインタフェースです。<br />
 * 
 * @author y-komori
 */
public interface Scaler {
    /**
     * イメージのスケーリングを行います。<br />
     * 
     * @param image
     *            処理対象イメージ
     * @param xScale
     *            X方向スケーリング係数
     * @param yScale
     *            Y方向スケーリング係数
     * @return スケーリングされたイメージ
     */
    public ImageData scaleImage(final ImageData image, final float xScale,
            final float yScale);
}
