package jp.littleforest.util.resource;

/**
 * リソースパスのためのフィルタです。<br />
 * 
 * 本インターフェースの実装クラスは、{@link ResourceTraverser} クラスの
 * {@link ResourceTraverser#traverse(java.net.URL, java.net.URL, ResourceHandler, ResourceFilter)}
 * メソッドに渡すことができます。<br />
 * 
 * @author y-komori
 */
public interface ResourceFilter {
    /**
     * 指定されたリソースパスがパス名リストに含まれる必要があるかどうかを判定します。<br />
     * 
     * @param path
     *            リソースパス
     * @return リストに含まれる必要がある場合は <code>true</code>、そうでない場合は <code>false</code>。
     */
    public boolean accept(String path);
}
