package jp.littleforest.util.resource;

import java.io.InputStream;
import java.net.URL;

/**
 * リソースを処理するクラスのためのインターフェースです。<br />
 * 
 * @author y-komori
 * @see ResourceTraverser
 */
public interface ResourceHandler {
    /**
     * リソースを処理します。<br />
     * 
     * 本メソッドは、 {@link ResourceTraverser#traverse(URL, URL, ResourceHandler)}
     * メソッドを呼び出したとき、発見した各々のリソースに対して呼び出されます。<br />
     * 
     * @param rootPath
     *            クラスパス上のルートを表す絶対パス
     * @param path
     *            クラスパス上のリソースのパス
     * @param is
     *            リソースを読み込むための {@link InputStream}
     */
    public void handle(String rootPath, String path, InputStream is);
}
